| GL Studio C++ Runtime API

Classes | Public Types | Public Member Functions | Static Public Attributes | Protected Attributes | List of all members
GlsGloFile Class Reference

`#include <gls_glo_file.h>`

## Classes
struct | GloFileFaceArray
struct | GloFileHeader
struct | GlsGeometryResourceDataHeader
struct | GlsGeometryResourceMeshIndexBufEffect
struct | GlsGeometryResourceMeshIndexBufEffectsHeader
class | ObjectData
class | Reader
class | WriteBuffer
class | Writer

## Public Types
enum | { GLS_GLO_INSTANCE_NAME = 1 , GLS_GLO_LOCATION , GLS_GLO_ROTATION_POINT , GLS_GLO_ACTION_CALLBACK , GLS_GLO_OBJECT_NAME , GLS_GLO_ATTRIBUTE_NAME , GLS_GLO_TEXTURE_INDEX , GLS_GLO_TEXTURE_REPEAT , GLS_GLO_TEXTURE_MAP_MODE , GLS_GLO_TEXTURE_MIN_FILTER , GLS_GLO_TEXTURE_MAG_FILTER , GLS_GLO_TEXTURE_BLEND_COLOR , GLS_GLO_TEXTURE_ROTATION , GLS_GLO_TEXTURE_SCALE_H , GLS_GLO_TEXTURE_SCALE_V , GLS_GLO_TEXTURE_OFFSET_X , GLS_GLO_TEXTURE_OFFSET_Y , GLS_GLO_POLYGON_MODE , GLS_GLO_POLYGON_END , GLS_GLO_POLYGON_OFFSET , GLS_GLO_COLOR , GLS_GLO_COLOR_MATERIAL_MODE , GLS_GLO_LINE_WIDTH , GLS_GLO_LINE_STIPPLE_PATTERN , GLS_GLO_LINE_STIPPLE_MULTIPLIER , GLS_GLO_VISIBILITY , GLS_GLO_CULLBACKFACE , GLS_GLO_ALPHAMODE , GLS_GLO_ANTIALIAS , GLS_GLO_ZBUFFER , GLS_GLO_SHADING , GLS_GLO_BLINKING , GLS_GLO_BLINK_RATE , GLS_GLO_PICKABLE , GLS_GLO_LIGHTING_ENABLED , GLS_GLO_MATERIAL_INDEX , GLS_GLO_MATERIAL_INDICES , GLS_GLO_DCS_MATRIX , GLS_GLO_COMPONENT_ABSOLUTE_PLACEMENT , GLS_GLO_COMPONENT_EDITOR_TRANSFORM , GLS_GLO_TEXTURE_POINTS , GLS_GLO_COMPONENT_USE_PARENT_LIGHTING , GLS_GLO_NEED_CALCULATE , GLS_GLO_NEED_PREDRAW , GLS_GLO_NUMBER_OF_VERTICES , GLS_GLO_VERTICES , GLS_GLO_NORMALS , GLS_GLO_TEXTURE_COORDINATES , GLS_GLO_CYLINDER_COLOR , GLS_GLO_CYLINDER_SEGMENTS , GLS_GLO_CYLINDER_FACES , GLS_GLO_CYLINDER_FACE_START , GLS_GLO_CYLINDER_FACE_END , GLS_GLO_CYLINDER_TOP_SIZE , GLS_GLO_CYLINDER_BOTTOM_SIZE , GLS_GLO_CYLINDER_TOP_FACE , GLS_GLO_CYLINDER_BOTTOM_FACE , GLS_GLO_CYLINDER_RADII , GLS_GLO_EYEPOINT_FOV , GLS_GLO_EYEPOINT_ORTHOGRAPHIC , GLS_GLO_EYEPOINT_ORTHO_SIZE , GLS_GLO_EYEPOINT_FOV_IS_HORIZONTAL , GLS_GLO_EYEPOINT_ASPECT , GLS_GLO_EYEPOINT_NEAR_CLIP , GLS_GLO_EYEPOINT_FAR_CLIP , GLS_GLO_EYEPOINT_MAINTAIN_ASPECT , GLS_GLO_EYEPOINT_VIEW_VECTORS , GLS_GLO_EYEPOINT_OTHER_FOV , GLS_GLO_EYEPOINT_OTHER_ORTHO_SIZE , GLS_GLO_EYEPOINT_HORIZONTAL_CONSTRAINT , GLS_GLO_EYEPOINT_VERTICAL_CONSTRAINT , GLS_GLO_LIGHT_SOURCE_AMBIENT , GLS_GLO_LIGHT_SOURCE_DIFFUSE , GLS_GLO_LIGHT_SOURCE_SPECULAR , GLS_GLO_LIGHT_SOURCE_SPOT_CUTOFF , GLS_GLO_LIGHT_SOURCE_SPOT_EXPONENT , GLS_GLO_LIGHT_SOURCE_CONSTANT_ATTENUATION , GLS_GLO_LIGHT_SOURCE_LINEAR_ATTENUATION , GLS_GLO_LIGHT_SOURCE_QUADRATIC_ATTENUATION , GLS_GLO_LIGHT_SOURCE_LIGHT_TYPE , GLS_GLO_SPHERE_MAPPING , GLS_GLO_SPHERE_COLOR , GLS_GLO_SPHERE_STACKS , GLS_GLO_SPHERE_SLICES , GLS_GLO_SPHERE_SLICE_START , GLS_GLO_SPHERE_SLICE_END , GLS_GLO_SPHERE_STACK_START , GLS_GLO_SPHERE_STACK_END , GLS_GLO_SPHERE_RADII , GLS_GLO_TEXT_BORDER , GLS_GLO_TEXT_CELL_HEIGHT , GLS_GLO_TEXT_CELL_WIDTH , GLS_GLO_TEXT_CONSTRAIN_CELL_RATIO , GLS_GLO_TEXT_CONTROL_CELL_SIZE , GLS_GLO_TEXT_FONT , GLS_GLO_TEXT_HALO , GLS_GLO_TEXT_LINESPACING , GLS_GLO_TEXT_LOCK_CELL_SIZE , GLS_GLO_TEXT_JUSTIFY , GLS_GLO_TEXT_SHADOW , GLS_GLO_TEXT_STRING , GLS_GLO_TEXT_UPPERCASE , GLS_GLO_TEXT_WRAP , GLS_GLO_TEXT_HALO_COLOR , GLS_GLO_TEXT_SHADOW_COLOR , GLS_GLO_TEXT_SHADOW_DISTANCE , GLS_GLO_TEXT_BASELINE , GLS_GLO_TEXT_BG_COLOR , GLS_GLO_TEXT_TEXT_COLOR , GLS_GLO_TEXT_CHAR_SCALING , GLS_GLO_TEXT_CHAR_SPACING , GLS_GLO_TEXT_FAUX_BOLD , GLS_GLO_TEXT_INVERSE , GLS_GLO_TEXT_STRIKE_THRU , GLS_GLO_TEXT_UNDERLINE , GLS_GLO_TRIMESH_FIRST_VALUE , GLS_GLO_TRIMESH_USE_DISPLAY_LIST , GLS_GLO_TRIMESH_FACES , GLS_GLO_3DCABLE_FIRST_VALUE , GLS_GLO_3DCABLE_FLEXIBILITY , GLS_GLO_3DCABLE_NUMBEROFSEGMENTS , GLS_GLO_3DCABLE_NUMBEROFSIDES , GLS_GLO_3DCABLE_RADIUS , GLS_GLO_3DCABLE_LENGTH , GLS_GLO_3DCABLE_GRAVITY , GLS_GLO_3DCABLE_SECTIONSLACKPCT , GLS_GLO_3DCABLE_SECTIONFLOORDIST , GLS_GLO_3DCABLE_COLLISIONSTYLE , GLS_GLO_3DCABLE_FILLCOLOR , GLS_GLO_3DCABLE_LINECOLOR , GLS_GLO_GLSBUTTON_CHANGE_CALLBACK , GLS_GLO_GLSBUTTON_TOGGLE , GLS_GLO_GLSBUTTON_WHICH_OBJ_POS_UP , GLS_GLO_GLSBUTTON_WHICH_OBJ_POS_DOWN , GLS_GLO_GLSBUTTON_STATE , GLS_GLO_GLSBUTTON_EMIT_STATE_CHANGE_EVENT , GLS_GLO_ANGULAR_SCALE_FIRST_VALUE , GLS_GLO_ANGULAR_SCALE_RADII , GLS_GLO_ANGULAR_SCALE_DECONFLICT_TICKS , GLS_GLO_ANGULAR_SCALE_HALO_ENABLED , GLS_GLO_ANGULAR_SCALE_HALO_WIDTH , GLS_GLO_ANGULAR_SCALE_HALO_COLOR , GLS_GLO_ANGULAR_SCALE_USE_SCALABLE_LINES , GLS_GLO_ANGULAR_SCALE_RADIUS , GLS_GLO_ANGULAR_SCALE_DATA , GLS_GLO_CLIPPING_GROUP_STATE , GLS_GLO_CLIPPING_GROUP_CLIPPING_ACTIVE , GLS_GLO_CLIPPING_GROUP_BOTTOM_LEFT_CORNER , GLS_GLO_CLIPPING_GROUP_TOP_RIGHT_CORNER , GLS_GLO_CLIPPING_GROUP_SHOW_OUTLINE , GLS_GLO_DYNAMICPATH_FIRST_VALUE , GLS_GLO_DYNAMICPATH_AFFECTS_LOCATION_X , GLS_GLO_DYNAMICPATH_AFFECTS_LOCATION_Y , GLS_GLO_DYNAMICPATH_AFFECTS_LOCATION_Z , GLS_GLO_DYNAMICPATH_AFFECTS_ROTATION_X , GLS_GLO_DYNAMICPATH_AFFECTS_ROTATION_Y , GLS_GLO_DYNAMICPATH_AFFECTS_ROTATION_Z , GLS_GLO_DYNAMICPATH_AFFECTS_SCALE_X , GLS_GLO_DYNAMICPATH_AFFECTS_SCALE_Y , GLS_GLO_DYNAMICPATH_AFFECTS_SCALE_Z , GLS_GLO_DYNAMICPATH_USE_SHORT_ROTATION_PATHS , GLS_GLO_DYNAMICPATH_STATE_COUNT , GLS_GLO_DYNAMICPATH_STATE , GLS_GLO_MUTEX_GROUP_STATE , GLS_GLO_MUTEX_GROUP_CALC_INVISIBLE_STATES , GLS_GLO_MUTEX_GROUP_PICK_INVISIBLE_STATES , GLS_GLO_MUTEX_GROUP_PREDRAW_INVISIBLE_STATES , GLS_GLO_MUTEX_GROUP_INPUT_DEVICE_BEHAVIOR , GLS_GLO_GLSMULTIVIEW_FIRST_VALUE , GLS_GLO_GLSMULTIVIEW_VIEW_DATA , GLS_GLO_GLSMULTIVIEW_VIEW_DRAWING_STATE , GLS_GLO_LINEAR_SCALE_FIRST_VALUE , GLS_GLO_LINEAR_SCALE_RADII , GLS_GLO_LINEAR_SCALE_DECONFLICT_TICKS , GLS_GLO_LINEAR_SCALE_HALO_ENABLED , GLS_GLO_LINEAR_SCALE_HALO_WIDTH , GLS_GLO_LINEAR_SCALE_HALO_COLOR , GLS_GLO_LINEAR_SCALE_TICK_ANCHOR , GLS_GLO_LINEAR_SCALE_USE_SCALABLE_LINES , GLS_GLO_LINEAR_SCALE_DATA , GLS_GLO_GLSKNOB_CHANGE_CALLBACK , GLS_GLO_GLSKNOB_ANGLERANGE , GLS_GLO_GLSKNOB_CONTINUOUS , GLS_GLO_GLSKNOB_POSITIONVAL , GLS_GLO_GLSKNOB_DETENTPOSITIONS , GLS_GLO_GLSKNOB_WHICHOBJECT , GLS_GLO_GLSKNOB_STARTANGLE , GLS_GLO_GLSKNOB_EMITDETENTVALEVENT , GLS_GLO_GLSKNOB_EMITPOSITIONVALEVENT , GLS_GLO_GLSKNOB_EMITLIMITEVENT , GLS_GLO_GLSKNOB_EMITRELEASEEVENT , GLS_GLO_GLSKNOB_SHOWDETENTSONLY , GLS_GLO_GLSKNOB_CLICKSELECTSDETENT , GLS_GLO_ELLIPSE_FIRST_VALUE , GLS_GLO_ELLIPSE_RADII , GLS_GLO_ELLIPSE_THICKNESS , GLS_GLO_ELLIPSE_SOLID , GLS_GLO_ELLIPSE_INTERVAL , GLS_GLO_ELLIPSE_START_ANGLE , GLS_GLO_ELLIPSE_END_ANGLE , GLS_GLO_ELLIPSE_COLOR , GLS_GLO_GLSSWITCH_INITIAL_DETENT_VAL , GLS_GLO_GLSSWITCH_WHICH_OBJECT_BACKGROUND , GLS_GLO_GLSSWITCH_FIRST_DETENT_SNAPBACK , GLS_GLO_GLSSWITCH_LAST_DETENT_SNAPBACK , GLS_GLO_GLSSWITCH_EMIT_DETENT_VAL_EVENT , GLS_GLO_GLSSWITCH_EMIT_LIMIT_EVENT , GLS_GLO_GLSSWITCH_EMIT_RELEASE_EVENT , GLS_GLO_GLSTHUMBWHEEL_INITIAL_VAL , GLS_GLO_GLSTHUMBWHEEL_EMIT_DETENT_VAL_EVENT , GLS_GLO_GLSTHUMBWHEEL_EMIT_LIMIT_EVENT , GLS_GLO_GLSTHUMBWHEEL_EMIT_RELEASE_EVENT , GLS_GLO_GLSTHUMBWHEEL_NUMBER_OF_DETENTS , GLS_GLO_GLSTHUMBWHEEL_CONTINUOUS_DRAG , GLS_GLO_GLSTHUMBWHEEL_DETENT_VAL , GLS_GLO_GLSTHUMBWHEEL_WHICH_OBJECT_THUMBWHEEL , GLS_GLO_GLSTHUMBWHEEL_WHICH_OBJECT_ODOMETER , GLS_GLO_GLSTHUMBWHEEL_SOUND_INDEX , GLS_GLO_TEXT_GRID_SIZE , GLS_GLO_TEXT_GRID_LEFT_TO_RIGHT , GLS_GLO_SCHEMATICTEEINTERCONNECT_FIRST_VALUE , GLS_GLO_SCHEMATICTEEINTERCONNECT_LEFT_LINE_THICKNESS , GLS_GLO_SCHEMATICTEEINTERCONNECT_RIGHT_LINE_THICKNESS , GLS_GLO_SCHEMATICTEEINTERCONNECT_BASE_LINE_THICKNESS , GLS_GLO_SCHEMATICTEEINTERCONNECT_LEFT_INTERCONNECT_TEXTURE_INDEX , GLS_GLO_SCHEMATICTEEINTERCONNECT_RIGHT_INTERCONNECT_TEXTURE_INDEX , GLS_GLO_SCHEMATICTEEINTERCONNECT_BASE_INTERCONNECT_TEXTURE_INDEX , GLS_GLO_SCHEMATICTEEINTERCONNECT_LEFT_INTERCONNECT_TEXTURE_REPEAT_LENGTH , GLS_GLO_SCHEMATICTEEINTERCONNECT_RIGHT_INTERCONNECT_TEXTURE_REPEAT_LENGTH , GLS_GLO_SCHEMATICTEEINTERCONNECT_BASE_INTERCONNECT_TEXTURE_REPEAT_LENGTH , GLS_GLO_SCHEMATICTEEINTERCONNECT_LEFT_FLOW_TEXTURE_INDEX , GLS_GLO_SCHEMATICTEEINTERCONNECT_RIGHT_FLOW_TEXTURE_INDEX , GLS_GLO_SCHEMATICTEEINTERCONNECT_BASE_FLOW_TEXTURE_INDEX , GLS_GLO_SCHEMATICTEEINTERCONNECT_LEFT_FLOW_TEXTURE_REPEAT_LENGTH , GLS_GLO_SCHEMATICTEEINTERCONNECT_RIGHT_FLOW_TEXTURE_REPEAT_LENGTH , GLS_GLO_SCHEMATICTEEINTERCONNECT_BASE_FLOW_TEXTURE_REPEAT_LENGTH , GLS_GLO_SCHEMATICTEEINTERCONNECT_LEFT_SHOW_FLOW , GLS_GLO_SCHEMATICTEEINTERCONNECT_RIGHT_SHOW_FLOW , GLS_GLO_SCHEMATICTEEINTERCONNECT_BASE_SHOW_FLOW , GLS_GLO_SCHEMATICTEEINTERCONNECT_LEFT_FLOW_RATE , GLS_GLO_SCHEMATICTEEINTERCONNECT_RIGHT_FLOW_RATE , GLS_GLO_SCHEMATICTEEINTERCONNECT_BASE_FLOW_RATE , GLS_GLO_SCHEMATICTEEINTERCONNECT_LEFT_SHOW_FLOW_BLINK , GLS_GLO_SCHEMATICTEEINTERCONNECT_RIGHT_SHOW_FLOW_BLINK , GLS_GLO_SCHEMATICTEEINTERCONNECT_BASE_SHOW_FLOW_BLINK , GLS_GLO_SCHEMATICTEEINTERCONNECT_LEFT_FLOW_BLINK_RATE , GLS_GLO_SCHEMATICTEEINTERCONNECT_RIGHT_FLOW_BLINK_RATE , GLS_GLO_SCHEMATICTEEINTERCONNECT_BASE_FLOW_BLINK_RATE , GLS_GLO_SCHEMATICTEEINTERCONNECT_LEFT_FLOW_BLINK_START_COLOR , GLS_GLO_SCHEMATICTEEINTERCONNECT_RIGHT_FLOW_BLINK_START_COLOR , GLS_GLO_SCHEMATICTEEINTERCONNECT_BASE_FLOW_BLINK_START_COLOR , GLS_GLO_SCHEMATICTEEINTERCONNECT_LEFT_FLOW_BLINK_END_COLOR , GLS_GLO_SCHEMATICTEEINTERCONNECT_RIGHT_FLOW_BLINK_END_COLOR , GLS_GLO_SCHEMATICTEEINTERCONNECT_BASE_FLOW_BLINK_END_COLOR , GLS_GLO_SCHEMATICTEEINTERCONNECT_USE_DISPLAY_LIST , GLS_GLO_SCHEMATICTEEINTERCONNECT_TOP_VISIBLE , GLS_GLO_SCHEMATICTEEINTERCONNECT_TOP_LINE_THICKNESS , GLS_GLO_SCHEMATICTEEINTERCONNECT_TOP_INTERCONNECT_TEXTURE_INDEX , GLS_GLO_SCHEMATICTEEINTERCONNECT_TOP_INTERCONNECT_TEXTURE_REPEAT_LENGTH , GLS_GLO_SCHEMATICTEEINTERCONNECT_TOP_FLOW_TEXTURE_INDEX , GLS_GLO_SCHEMATICTEEINTERCONNECT_TOP_FLOW_TEXTURE_REPEAT_LENGTH , GLS_GLO_SCHEMATICTEEINTERCONNECT_TOP_SHOW_FLOW , GLS_GLO_SCHEMATICTEEINTERCONNECT_TOP_FLOW_RATE , GLS_GLO_SCHEMATICTEEINTERCONNECT_TOP_SHOW_FLOW_BLINK , GLS_GLO_SCHEMATICTEEINTERCONNECT_TOP_FLOW_BLINK_RATE , GLS_GLO_SCHEMATICTEEINTERCONNECT_TOP_FLOW_BLINK_START_COLOR , GLS_GLO_SCHEMATICTEEINTERCONNECT_TOP_FLOW_BLINK_END_COLOR , GLS_GLO_SCHEMATICPOLYLINEINTERCONNECT_FIRST_VALUE , GLS_GLO_SCHEMATICPOLYLINEINTERCONNECT_ORIENTATION , GLS_GLO_SCHEMATICPOLYLINEINTERCONNECT_LINE_THICKNESS , GLS_GLO_SCHEMATICPOLYLINEINTERCONNECT_ROUNDED_CORNERS , GLS_GLO_SCHEMATICPOLYLINEINTERCONNECT_CORNER_RADIUS , GLS_GLO_SCHEMATICPOLYLINEINTERCONNECT_FORCE_EXACT_CORNER_RADIUS , GLS_GLO_SCHEMATICPOLYLINEINTERCONNECT_CORNER_SEGMENTS , GLS_GLO_SCHEMATICPOLYLINEINTERCONNECT_INTERCONNECT_TEXTURE_REPEAT_LENGTH , GLS_GLO_SCHEMATICPOLYLINEINTERCONNECT_FLOW_TEXTURE_INDEX , GLS_GLO_SCHEMATICPOLYLINEINTERCONNECT_FLOW_TEXTURE_REPEAT_LENGTH , GLS_GLO_SCHEMATICPOLYLINEINTERCONNECT_SHOW_FLOW , GLS_GLO_SCHEMATICPOLYLINEINTERCONNECT_FLOW_RATE , GLS_GLO_SCHEMATICPOLYLINEINTERCONNECT_SHOW_FLOW_BLINK , GLS_GLO_SCHEMATICPOLYLINEINTERCONNECT_FLOW_BLINK_RATE , GLS_GLO_SCHEMATICPOLYLINEINTERCONNECT_FLOW_BLINK_START_COLOR , GLS_GLO_SCHEMATICPOLYLINEINTERCONNECT_FLOW_BLINK_END_COLOR , GLS_GLO_SCHEMATICPOLYLINEINTERCONNECT_USE_DISPLAY_LIST , GLS_GLO_POLY_LINE_FIRST_VALUE , GLS_GLO_POLY_LINE_THICKNESS , GLS_GLO_POLY_LINE_HALO , GLS_GLO_POLY_LINE_HALO_COLOR , GLS_GLO_POLY_LINE_HALO_THICKNESS , GLS_GLO_POLY_LINE_NORMAL , GLS_GLO_PATHMANAGER_FIRST_VALUE , GLS_GLO_PATHMANAGER_PATHOBJPAIR_COUNT , GLS_GLO_PATHMANAGER_PATHOBJPAIR , GLS_GLO_GLSODOMETER_VALUE , GLS_GLO_GLSODOMETER_MIN_VALUE , GLS_GLO_GLSODOMETER_MAX_VALUE , GLS_GLO_GLSODOMETER_BASE_SYSTEM , GLS_GLO_GLSODOMETER_BEHAVIOR_TYPE , GLS_GLO_GLSODOMETER_GEOMETRY_TYPE , GLS_GLO_GLSODOMETER_TEXTURE_SCALE , GLS_GLO_GLSODOMETER_DEGREES_PER_DIGIT , GLS_GLO_GLSODOMETER_ORDER_OF_MAGNITUDE , GLS_GLO_GLSODOMETER_ROLLOVER_THRESHOLD , GLS_GLO_GLSNURBCURVE_FIRST_VALUE , GLS_GLO_GLSNURBCURVE_EMITEVENT , GLS_GLO_NINE_PATCH_FIRST_VALUE , GLS_GLO_NINE_PATCH_CENTER_VISIBLE , GLS_GLO_NINE_PATCH_EDGES , GLS_GLO_NINE_PATCH_TEXTURE_EDGES , GLS_GLO_NINE_PATCH_RADII , GLS_GLO_NINE_PATCH_TEXTURE_POINTS , GLS_GLO_NINE_PATCH_COLOR , GLS_GLO_SERIAL_MORPH_MESH_KEYFRAME_INDEX , GLS_GLO_GEOMETRY_RESOURCE_MESH_DATA , GLS_GLO_GEOMETRY_RESOURCE_MESH_TRANSFORM , GLS_GLO_GEOMETRY_RESOURCE_MESH_REFERENCE , GLS_GLO_GEOMETRY_RESOURCE_MESH_INDEX_BUF_EFFECTS , GLS_GLO_LOD_GROUP_DISTANCE_RANGE , GLS_GLO_LOD_GROUP_LOD_POSITIONS , GLS_GLO_TEXT_BOX_VERTICAL_ALIGNMENT , GLS_GLO_TEXT_BOX_LEFT_TO_RIGHT , GLS_GLO_TEXT_BOX_RESIZE_MODE , GLS_GLO_TEXT_BOX_MAX_WIDTH , GLS_GLO_TEXT_BOX_MAX_HEIGHT , GLS_GLO_CTL_TEXT_BOX_VERTICAL_ALIGNMENT , GLS_GLO_CTL_TEXT_BOX_ELLIPSIZE_MODE , GLS_GLO_CTL_TEXT_BOX_HORIZONTAL_SCALE , GLS_GLO_CTL_TEXT_BOX_VERTICAL_SCALE , GLS_GLO_CTL_TEXT_BOX_TEXT_DIRECTION , GLS_GLO_CTL_TEXT_BOX_RESIZE_MODE , GLS_GLO_CTL_TEXT_BOX_MAX_WIDTH , GLS_GLO_CTL_TEXT_BOX_MAX_HEIGHT , GLS_GLO_LINEAR_FLOAT_CONTROLLER_KEYARRAY , GLS_GLO_MOVINGEYE_EMIT_EVENT , GLS_GLO_MOVINGEYE_LOOK_AT_OBJECT , GLS_GLO_MOVINGEYE_MAX_SPEED , GLS_GLO_MOVINGEYE_MOVEMENT , GLS_GLO_MOVINGEYE_ROUTE , GLS_GLO_MOVINGEYE_DISABLE_HISTORY , GLS_GLO_MIMIC_GROUP_MIMIC_ACTIVE , GLS_GLO_MIMIC_GROUP_AUTO_REDRAW , GLS_GLO_MIMIC_GROUP_BOTTOM_LEFT_CORNER , GLS_GLO_MIMIC_GROUP_TOP_RIGHT_CORNER , GLS_GLO_MIMIC_GROUP_SHOW_OUTLINE , GLS_GLO_MIMIC_GROUP_TEXTURE_HEIGHT , GLS_GLO_MIMIC_GROUP_TEXTURE_WIDTH , GLS_GLO_MIMIC_GROUP_HAS_DEPTH_BUFFER , GLS_GLO_MIMIC_GROUP_DEPTH_TEST , GLS_GLO_MIMIC_GROUP_GENERATE_MIPMAPS , GLS_GLO_MIMIC_GROUP_DRAW_MIMIC_POLYGON , GLS_GLO_MIMIC_GROUP_ATTACHED_TEXTURE_INDEX , GLS_GLO_MIMIC_GROUP_CLEAR_COLOR , GLS_GLO_MIMIC_GROUP_USE_OPAQUE_TEXTURE , GLS_GLO_TEXT_SHADOW_OFFSET }
enum | { TEXTURE_PRESENT = 0x01 , MATERIAL_PRESENT = 0x02 }

## Public Member Functions
| GlsGloFile (const std::string &filename, const bool readMode=true)
ObjectData * | GetNextObject ()
void | VerifyTimestamp (const unsigned char *timestamp, const char *className)

## Static Public Attributes
static const unsigned int | NUM_OBJECTS_OFFSET = 16
| The size of the GLO file header in bytes.
static const unsigned int | GLO_FILE_TIMESTAMP_SIZE = 6
static const unsigned int | MAX_STANDARD_ATTR_SIZE = 255
| Maximum size for a standard attribute, extended attributes beyond this size.
static const unsigned int | ATTR_SIZE_EXTENDED = 0
| Value to indicate that a size is extended.
static const int | GlsGeometryResourceData_Version = 2
static const int | GlsGeometryResourceMeshIndexBufEffects_Version = 2
| The current version of the GlsGeometryResourceMeshIndexBufEffects.

## Protected Attributes
Reader * | _reader
| Observing pointer to the file reader.
int | _numObjectsRemaining
| Number of objects remaining to read.
ObjectData * | _objectData
| Observing pointer to the current data.
std::string | _filename
| Stores the name of the file that we're reading; currently only used to make the error messages more intelligent.

## Detailed Description

The GlsGloFile class. Handles storage of GLS property values outside of the generated code. (ES only)

## Constructor & Destructor Documentation

## ◆ GlsGloFile()

GlsGloFile | ( | const std::string & | filename,
|  | const bool | readMode = `true`
| ) |  |

Constructor - throws GlsGloFileNotFoundException if glow file isn't found.

Parameters

  filename | Name of the GLO file to load.
  readMode | If true, will read the file on construction.

## Member Function Documentation

## ◆ GetNextObject()

ObjectData * GetNextObject | ( |  | ) |

Returns
  A pointer to the next object to read in.

## ◆ VerifyTimestamp()

void VerifyTimestamp | ( | const unsigned char * | timestamp,
|  | const char * | className
| ) |  |

Check the timestamp of the GLO file against the generated source. A warning will be emitted if they do not match, as this could cause inconsistencies.

Parameters

  timestamp | The timestamp value to compare.
  className | The generated source class name whose timestamp is being compared.

## Member Data Documentation

## ◆ GLO_FILE_TIMESTAMP_SIZE

const unsigned int GLO_FILE_TIMESTAMP_SIZE = 6
| static

The size of the timestamp written into the GLO file.

## ◆ GlsGeometryResourceData_Version

const int GlsGeometryResourceData_Version = 2
| static

The current version of the GlsGeometryResourceData.

The documentation for this class was generated from the following file:

- gls_glo_file.h